./release.sh does not support EXTRA_DEBS
When introducing multiple packages that depend on each-other, the ./release.sh
script will not work properly because the previous built packages are not passed to build.sh
. I am currently using the hack below, but there should be a better way to do this:
diff --git a/release.sh b/release.sh
index 973402bea..3fe2584ed 100755
--- a/release.sh
+++ b/release.sh
@@ -139,7 +139,7 @@ if ! git diff --exit-code -- "$PKGDIR_REL"; then
"Release attempt resulted in git diffs to $PKGDIR_REL, probably you need to update the package (./update.sh $*)."
fi
-if ! ( cd build && SOURCEONLY=1 ./build.sh "$CRATE" $VER ); then
+if ! ( cd build && SOURCEONLY=1 ./build.sh "$CRATE" $VER *.deb); then
revert_git_changes
abort 1 "Release attempt failed (see messages above), possible reasons are: " \
"- build-dependencies not in Debian => release those first." \